# Versions

After upload, an initial version of the dub is automatically created for each language. You can create additional
versions for each language to act as snapshots in time as you edit or to edit independently, with each version
identified by a unique version ID.

 - [GET /v1/versions/{version_id}](https://docs.panjaya.ai/apis/versions/versions-get_version.md): Retrieve detailed information about a specific dubbing version by providing its unique Version ID. #### Response Details The response includes metadata about the version, such as its current status an
 - [PATCH /v1/versions/{version_id}/revise](https://docs.panjaya.ai/apis/versions/versions-revise_version.md): Revert a generated dubbing version to editing mode in the Panjaya Dubbing Studio. Once a dubbing version is successfully generated, its status changes to `Completed`, allowing only preview access to t
 - [POST /v1/versions/{version_id}/generate](https://docs.panjaya.ai/apis/versions/versions-generate_version.md): Initiate the generation process for a dubbing version. Once the process is complete, and you'll receive notifications via **email** or a **callback URL**, if configured (see below). Your final video w
 - [POST /v1/versions/{version_id}/studio_url](https://docs.panjaya.ai/apis/versions/versions-get_studio_url_for_version.md): Create a URL that allows anyone with the link to access the Panjaya Dubbing Studio for a specific dubbing version. This endpoint is useful for sharing a version with collaborators or reviewers who nee
 - [GET /v1/versions/{version_id}/srt](https://docs.panjaya.ai/apis/versions/versions-get_version_srt.md): Fetch the current version's source transcript or target translation, formatted as an SRT file. Use the `locality` query parameter to indicate the desired subtitles - Set to `source` for fetching the t
